Subject: RE: [Asrg] The State of RSS Readers for Mailing List Funcionality

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Mon, 1 Dec 2003 17:55:41 -0800

> 1. The lack of inate threading is painful.
> The messages simply appear as a sequence of messages, by 
> default in date 
> order. The only other thing they can be sorted on is 
> 'Headline', which leads 
> me to ...

It sounds to me as if we need to define ways to express the relationships in
an HTML like markup. 

> 2. Email headers aren't preserved.
> The message subject is used as the headline of each item. 
> Aside from the 
> subject, the gateway inserts the sender and date at the top 
> of the message. 
> Even worse, it cuts off the sender's actual email address, so 
> that only the 
> name appears, apparently to make it look nicer to the user.

Sounds like an implementation choice, possibly anti-spam one?

> 3. There's no reasonable way to display the meaningful email headers.
> In terms of looking at a list of posts, I suppose it could be 
> reasonable to 
> insert the sender into the headline as well, but that would 
> wreak havoc on 
> sorting by subject.
> 
> My conclusion is that NNTP is much better suited for this 
> task. Mail clients 
> frequently have integrated newsreaders, netnews posts have 
> headers analogous 
> to email's, and they interoperate well. The only real open 
> question in terms 
> of mailing-list/news interoperability is submission: should 
> it still be done 
> by emailing a list address, or should it be done by posting 
> to the news 
> group directly?

It will be easier to fix RSS than NNTP at this point. NNTP is actually very
good for mailing lists which is not suprising given that is exactly what it
was designed for.

People are proposing RSS for newsletter style stuff. They are using it
mostly for blogs. It seems to need tweakage to be ideal for that
application. But the protocol is extensible and can be tweaked.

	Phill 

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg